@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@100;300;400&display=swap');

:root {
  --iy: 10px;
  
}


*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
  font-family: 'Raleway', sans-serif;
}

body {
    font-size: 15px;
    background-color: #f1f1f1;
	
    /*background-image: url(hatter.jpg); 
    background-attachment: fixed;
    background-size: 100% 100%;*/
    
}

.inputbox {
    width: 100%;
    display: flex;
    justify-content: center; 
    align-items: center;
    padding: 0;
    margin: 0;
    flex-direction: column;
    
}

.ipb_belepesbox {
    width: 400px;
    border: solid 1px #e1e1e1;
    border-bottom: solid 2px #395c9a;
    padding: 30px;
    margin-top: 30px;
    background-color: #fff;
    text-align: center;
}

.ipb_regbox {
    max-width: 800px;
    border: solid 1px #e1e1e1;
    border-bottom: solid 2px #395c9a;
    padding: 30px;
    margin-top: 30px;
    background-color: #fff;
    text-align: center;
}

.logo { width: 100%; margin-bottom: 30px; }
.logo > img { width: 100px; padding: 0; margin: 0; }

h2 {    
    font-size: 150%;
    color: #395c9a;
    margin: 15px 0 0 0;
    padding: 0;
    font-weight: normal;
    letter-spacing: 0px;
    width: 100%;
    text-transform: uppercase;
    
    
}

h3 {
    font-size: 200%;
    padding: 0 0 10px 0;
    margin: 0 0 20px 0;
    font-weight: normal;
    letter-spacing: 2px;
    width: 100%;
    border-bottom: solid 1px #ccc;
}

h4 {
    width: 100%;
    padding: 0;
    margin: 0;
    font-size: 100%;
}

input {
    width: 100%;
    margin-top: var(--iy);    
    padding: 10px;
    border: solid 1px #ccc;
    font-size: 100%;
    transition: 0.5s;
}

input:hover, input:active, input:focus, select:hover, select:active, select:focus, .container:hover, .container:active, .container:focus {
    background-color: #f1f1f1;
    border-color: #f1f1f1;  
    outline: none;
}

input[type=submit] {
    border: solid 1px #000;
    margin: 10px 5% 15px 5%;
    background-color: #395c9a;
    border-color: #395c9a;
    color:#fff;
    text-transform: uppercase;
    cursor: pointer;
    transition: 0.5s;
}
input[type=submit]:hover, input[type=submit]:active, input[type=submit]:focus {
    background-color: #000;
    border-color: #000;  
    outline: none;
}

select {
    width: 100%;
    margin-top: var(--iy);    
    padding: 10px;
    border: solid 1px #ccc;
    font-size: 100%;
    transition: 0.5s;
    background-color: #fff;
}

.vonalas {
    width: 90%;
    margin: 0 5% 20px 5%;
    padding-top:20px;
    border-bottom: solid 1px #ccc;
    line-height: 0px;
}
.vonalas span {
    background-color: #fff;
    padding: 0 10px;
}

.ikon {
    margin: 30px 0 0 0;
    font-size: 150%;
}

.ikon a {
    padding: 10px 10px;
    color:#666;
    transition: 0.5s;
    border-bottom: solid 2px #fff;
}

.ikon a:hover {
    color:#000 !important;
    padding: 10px 20px;
    margin: 0;
    border-color:#395c9a;
}

.elfelejtett {
    padding: 10px 0;
    color:#666;
    font-size: 80%;
    text-transform: uppercase;
}

a.simalink {
    padding: 10px 0 20px 0;
    width: 100%;
    float: left;
    font-weight: bold;
    color:#395c9a;
    transform: 0.5s;

}
.inpb1 {
    display: grid;
    grid-template-columns: 1fr;
    justify-items: center;
    align-items: stretch;
    column-gap: var(--iy);
    row-gap: 0px;
}

.inpb2 {
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-items: center;
    align-items: stretch;
    column-gap: var(--iy);
    row-gap: 0px;
}

.inpb3 {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    justify-items: center;
    align-items: stretch;
    column-gap: var(--iy);
    row-gap: 0px;
}

/* checkbox - átalakítva indul */

.container {
    display: block;
    position: relative;
    padding: 10px 0px 10px 45px; 
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    width: 100%;
    margin-top: var(--iy);
    
    text-align: left;
    transition: 0.5s;
    font-weight: bold;
}

.border_bottom {
	border-bottom: solid 1px #ccc;
}

.container a {color:#395c9a;}

.container input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.checkmark {
  position: absolute;
  top: 4px;
  left: 4px;
  height: 30px;
  width: 30px;
  background-color: #e1e1e1;
  transition: 0.5s;
}

.container:hover input ~ .checkmark { background-color: #395c9a;}
.container input:checked ~ .checkmark { background-color: #395c9a;}

.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

.container input:checked ~ .checkmark:after { display: block; }

.container .checkmark:after {
  left: 12px;
  top: 6px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}

/* checkbox - átalakítva eddig */

/* Barni google login */

google {
	display: flex;
	justify-content: center;
	align-items: center;
	
	margin: 15px 0 0;
}
google > img {
	height: 30px;
	padding-right: 10px;
}

#hide_box {
	display: none;
}

.back_icon {
	font-size: 80px;
	margin-top: 20px;
	margin-bottom: 20px;
}

.success i {
	color: darkgreen;
}

.error i {
	color: darkred;
}

.back_link a{
	color: black;
	text-decoration: none;
	
}

.back_link {
	margin-bottom: 5px;
}

/* Barni google login eddig */

/* fiok fejlec indul */

.ffejlec {
    width: 100%;
    padding: 0px 20px;
    background-color: #395c9a;
    display: flex;
    justify-content:space-between;
    text-transform: uppercase;
    font-size: 80%;
    color:#fff;
}

.ffuser2 {display:none;}

@media screen and (max-width: 800px){ 
.ffejlec {
    display:flex;
    justify-content:center;
    flex-wrap: wrap;
    padding: 20px 0;
}
    .ffejlec ul li a span {display: none;}
    .ffejlec ul li a i {
    margin-right: 0px!important;
    padding-right: 0px!important;
    font-size: 300% !important;
    }
    .ffejlec ul:last-child li:first-child { padding: 0 0 !important;}
    .ffuser1 {display:none;}
    .ffuser2 { display: block;
        text-align: center;
        margin: 20px 0;
        padding: 20px;
        font-size: 130%;
        border: solid 2px #fff;
        width: 80%;
     
    }

}

.ffejlec ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex; 
    align-items: center;
}
.ffejlec ul:last-child li:first-child {
    padding: 0 15px;
}
.ffejlec ul li a {
    padding: 10px 15px;        
    color:#fff;
    transition: 0.5s;
    display: flex;
    align-items: center;
 
}
.ffejlec ul li a i {
    margin-right: 5px;
    padding-right: 5px;
    font-size: 150%;
}

.ffejlec ul li a:hover { 
    background-color: #f1f1f1;
    color:#395c9a;
}

/* fiok fejlec eddig */

/* foglalobox autoknál */

.foglalobox {
    width: 100%;
    min-height: 1px;
    padding: 30px 0 40px 0;

}

.foglalobox ul {
    padding: 0;
    margin: 0;
    list-style: none;  
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-items: stretch;
    align-items: stretch;
    column-gap: 20px;
    row-gap: 20px;
}

.foglalobox ul li {
  border: solid 1px #ccc;
  text-align: center;
  box-sizing: border-box;
  padding: 0;
  overflow: hidden;
}

.foglalobox ul li.piros { background-color: red;}
.foglalobox ul li.piros h2, .foglalobox ul li.piros h3 {color:#fff;}
.foglalobox ul li.piros a:hover {background-color: #000;}

.foglalobox ul li a { 
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    width: 100%;
    height: 100%;    
    padding: 30px;
    transition: 0.5s;
    color:#000;
}

.foglalobox ul li a:hover {
    background-color: #e1e1e1;
    scale: 1.2;
}


.foglalobox ul li h2 {
    font-size: 170%;
    padding: 0 0 0 0;
    margin: 0;
    width: 100%;
    text-transform: uppercase;
    color:#395c9a;
    letter-spacing: -1px;
 
}

.foglalobox ul li h3 {
    font-size: 100%;
    padding:4px 0 0 0;
    letter-spacing: 0;   
    margin: 0;
    width: 100%;
    text-transform: uppercase;
    border:none;
}

/* sajat ikonok */
ik {display: block; width: 80px; margin: 0 0 10px 0;}
ik img {width:100%; height:auto;}

/* sajat ikonok eddig */

/* foglalobox autóknál eddig */


